# FoundationClasses
TKernel
TColStd

# TColStd_StackIteratorOfStackOfInteger Class Reference

`#include <TColStd_StackIteratorOfStackOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_StackIteratorOfStackOfInteger ()
Standard_EXPORT | TColStd_StackIteratorOfStackOfInteger (const TColStd_StackOfInteger &S)
Standard_EXPORT void | Initialize (const TColStd_StackOfInteger &S)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Standard_Integer & | Value () const

## Private Attributes

Standard_Address | current

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_StackIteratorOfStackOfInteger::TColStd_StackIteratorOfStackOfInteger | ( |  | ) |

Standard_EXPORT TColStd_StackIteratorOfStackOfInteger::TColStd_StackIteratorOfStackOfInteger | ( | const TColStd_StackOfInteger & | S | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_StackIteratorOfStackOfInteger::Initialize | ( | const TColStd_StackOfInteger & | S | ) |

Standard_Boolean TColStd_StackIteratorOfStackOfInteger::More | ( |  | ) | const

Standard_EXPORT void TColStd_StackIteratorOfStackOfInteger::Next | ( |  | ) |

void TColStd_StackIteratorOfStackOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_StackIteratorOfStackOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_StackIteratorOfStackOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& TColStd_StackIteratorOfStackOfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Address TColStd_StackIteratorOfStackOfInteger::current `[private]`

The documentation for this class was generated from the following file:

- TColStd_StackIteratorOfStackOfInteger.hxx